import 'dart:convert';

import 'package:http/http.dart';
import 'package:suggestion_providers/src/const.dart';

extension Ext on Client {
  Future<T> json<T>(String url) async {
    var resp = await get(
      Uri.parse(url),
      headers: {
        "user-agent": useragent,
      },
    );

    return jsonDecode(resp.body) as T;
  }
}
