import 'dart:convert';

import 'package:http/http.dart';
import 'package:suggestion_providers/src/base/provider_base.dart';
import 'package:suggestion_providers/src/ext.dart';

class Google extends Provider {
  final Client _client;

  Google(this._client) : super("Google");

  @override
  Future<List<String>> suggestions(String q) async {
    var json = await _client.json<List>(
        "https://www.google.com/complete/search?client=chrome&q=$q");

    return json[1].cast<String>();
  }
}
