import 'package:http/http.dart';
import 'package:suggestion_providers/src/base/provider_base.dart';
import 'package:suggestion_providers/src/ext.dart';

class SearchEncrypt extends Provider {
  final Client _client;

  SearchEncrypt(this._client) : super("Search Encrypt");

  @override
  Future<List<String>> suggestions(String q) async {
    return (await _client
            .json<List>("https://spapi.searchencrypt.com/search/suggest?q=$q"))
        .cast<String>();
  }
}
