import 'package:http/http.dart';
import 'package:suggestion_providers/src/base/provider_base.dart';
import 'package:suggestion_providers/src/ext.dart';

class Ask extends Provider {
  final Client _client;

  Ask(this._client) : super("Ask");

  @override
  Future<List<String>> suggestions(String q) async {
    var json = await _client
        .json<List>("https://amg-ss.ask.com/query?lang=en-US&limit=20&q=$q");
    return (json[1] as List).cast<String>();
  }
}
