import 'package:http/http.dart';
import 'package:suggestion_providers/src/base/provider_base.dart';
import '../ext.dart';

class Brave extends Provider {
  final Client _client;

  Brave(this._client) : super("Brave");

  @override
  Future<List<String>> suggestions(String q) async {
    return ((await _client.json<List>(
                "https://search.brave.com/api/suggest?q=$q&rich=false&source=web"))[
            1] as List)
        .cast<String>();
  }
}
