import 'package:http/http.dart';
import 'package:suggestion_providers/src/base/provider_base.dart';
import 'package:suggestion_providers/src/ext.dart';

class Searx extends Provider {
  final String base;
  final Client _client;

  Searx(this.base, this._client, String name) : super(name);

  @override
  Future<List<String>> suggestions(String q) async {
    return ((await _client.json<List>("$base/autocompleter?q=$q"))[1] as List)
        .cast<String>();
  }
}
